
sub escape_tag {
	my $string = shift;
	chomp $string;
 	$string =~ s/&/&amp;/g;
	$string =~ s/"/&quot;/g;#"
	$string =~ s/</&lt;/g;
	$string =~ s/>/&gt;/g;
	$string =~ s/\r\n|\r|\n/<br>/g;
	$string =~ s/０/0/g;
	$string =~ s/１/1/g;
	$string =~ s/２/2/g;
	$string =~ s/３/3/g;
	$string =~ s/４/4/g;
	$string =~ s/５/5/g;
	$string =~ s/６/6/g;
	$string =~ s/７/7/g;
	$string =~ s/８/8/g;
	$string =~ s/９/9/g;
	return $string;
}

sub get_time {
	$ENV{'TZ'} = "JST-9";
	my ($sec,$min,$hour,$mday,$mon,$year,$wday) = localtime(time);
	my @week = ('Sun','Mon','Tue','Wed','Thu','Fri','Sat');
	my $date = sprintf("%04d/%02d/%02d(%s) %02d:%02d",
		$year+1900,$mon+1,$mday,$week[$wday],$hour,$min);
	return $date;
}

sub get_host {
	my $host = $ENV{'REMOTE_HOST'};
	my $addr = $ENV{'REMOTE_ADDR'};
	if ($host eq '' || $host eq $addr) {
		$host = gethostbyaddr(pack("C4", split(/\./, $addr)), 2) || $addr;
	return $host;
	}
}


#ID、password等の発行
sub key {
	my $id;
	my @char = ('a'..'k','m','n','p','r'..'z','3'..'9');
	foreach (1..8) { $id .= $char[rand(@char)] }
	return $id;
}

1;
